Skip to main content
Create a new visual (requires the CREATE_VISUALS privilege)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

suppressWarnings
boolean
default:false

The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors

Body

application/vnd.composer.v3+json

Defines a visual payload

visualName
string
required

Defines a visual name

Required string length: 1 - 255
source
object
required

Defines source details

visId
string
deprecated

(deprecated since 7.10, to be removed in 8.x. Use 'visualTypeId' instead) Defines a visual type identifier

visualTypeId
string

Defines a visual type identifier

description
string

Defines a description

Maximum string length: 750
type
string

Defines a visual type

controlsCfg
object

Defines a controls configuration

interactivityProfile
object

Defines an interactivity profile setting

tags
string[]

Defines tags

folderId
string

Optional folder ID for organizing the visual within a project.

Example:

1111

Response

The visual was created successfully

Defines a visual payload

visualName
string
required

Defines a visual name

Required string length: 1 - 255
source
object
required

Defines source details

id
string
read-only

Defines a visual identifier

visId
string
deprecated

(deprecated since 7.10, to be removed in 8.x. Use 'visualTypeId' instead) Defines a visual type identifier

visualTypeId
string

Defines a visual type identifier

accountId
string
read-only

Defines an account identifier

description
string

Defines a description

Maximum string length: 750
type
string

Defines a visual type

controlsCfg
object

Defines a controls configuration

interactivityProfile
object

Defines an interactivity profile setting

tags
string[]

Defines tags

creatingUserName
string
read-only

Defines a creator of the visual

level
enum<string>
read-only

Defines a type of visual usage level

Available options:
TOP,
IN_DASHBOARD
createdByUserID
string
read-only

Defines a visual creator's identifier

lastModifiedByUserID
string
read-only

Defines an identifier of the user who has modified the visual last

createdDate
string<date-time>
read-only

Defines a date of creation of the visual

lastModifiedDate
string<date-time>
read-only

Defines a date of the last modification of the visual

originId
string
read-only

Id of the exported visual

projectId
string
read-only

Project ID where this visual is organized. This field is read-only and only.

Example:

2222

folderId
string

Optional folder ID for organizing the visual within a project.

Example:

1111